> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool Secrets



## OpenAPI

````yaml /api/openapi.json patch /api/tools/secrets
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/tools/secrets:
    patch:
      tags:
        - Tools
      summary: Update Tool Secrets
      operationId: update_tool_secrets
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  secrets:
                    def:
                      type: record
                      keyType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                      valueType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: record
                    keyType:
                      def:
                        type: string
                        checks:
                          - {}
                      type: string
                    valueType:
                      def:
                        type: nullable
                        innerType:
                          def:
                            type: string
                          type: string
                      type: nullable
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  secrets:
                    def:
                      type: record
                      keyType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                      valueType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: record
                    keyType:
                      def:
                        type: string
                        checks:
                          - {}
                      type: string
                    valueType:
                      def:
                        type: nullable
                        innerType:
                          def:
                            type: string
                          type: string
                      type: nullable
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  secrets:
                    def:
                      type: record
                      keyType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                      valueType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                            type: string
                        type: nullable
                    type: record
                    keyType:
                      def:
                        type: string
                        checks:
                          - {}
                      type: string
                    valueType:
                      def:
                        type: nullable
                        innerType:
                          def:
                            type: string
                          type: string
                      type: nullable
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````